Skip to content

Create project

POST
/v1/workspaces/{workspace_id}/projects
curl --request POST \
--url https://api.app.layer.ai/api/v1/workspaces/:workspace_id/projects \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
"name": "<string>",
"description": "<string>",
"instructions": "<string>"
}'
workspace_id
required
Workspace Id
string format: uuid
Media typeapplication/json
CreateProjectBody
object
name
required
Name

The project’s display name. Must be unique within the workspace.

string
>= 1 characters
description
Any of:
string
<= 1000 characters
instructions
Any of:
string
<= 200000 characters
Examplegenerated
{
"name": "example",
"description": "example",
"instructions": "example"
}

Successful Response

Media typeapplication/json
ProjectDetail
object
project_id
required
Project Id

The project’s unique identifier.

string format: uuid
name
required
Name

The project’s display name.

string
status
required
ProjectStatus

Project status: active or archived.

string
Allowed values: active archived deleted
object_count
required
Object Count

Number of library objects currently linked to this project.

integer
description
Any of:
string
instructions
Any of:
string
Example
{
"status": "active"
}

Unauthenticated — missing or invalid Bearer token.

Media typeapplication/problem+json
object
type
required
string
title
required
string
status
required
integer
detail
required
string
Example
{
"type": "https://api.layer.ai/errors/ERROR_CODE",
"title": "Error Title",
"status": 400,
"detail": "Human-readable description."
}

Forbidden — insufficient permissions.

Media typeapplication/problem+json
object
type
required
string
title
required
string
status
required
integer
detail
required
string
Example
{
"type": "https://api.layer.ai/errors/ERROR_CODE",
"title": "Error Title",
"status": 400,
"detail": "Human-readable description."
}

Resource not found.

Media typeapplication/problem+json
object
type
required
string
title
required
string
status
required
integer
detail
required
string
Example
{
"type": "https://api.layer.ai/errors/ERROR_CODE",
"title": "Error Title",
"status": 400,
"detail": "Human-readable description."
}

Invalid input parameters.

Media typeapplication/problem+json
object
type
required
string
title
required
string
status
required
integer
detail
required
string
Example
{
"type": "https://api.layer.ai/errors/ERROR_CODE",
"title": "Error Title",
"status": 400,
"detail": "Human-readable description."
}

Rate limited — too many concurrent requests.

Media typeapplication/problem+json
object
type
required
string
title
required
string
status
required
integer
detail
required
string
Example
{
"type": "https://api.layer.ai/errors/ERROR_CODE",
"title": "Error Title",
"status": 400,
"detail": "Human-readable description."
}

Internal server error.

Media typeapplication/problem+json
object
type
required
string
title
required
string
status
required
integer
detail
required
string
Example
{
"type": "https://api.layer.ai/errors/ERROR_CODE",
"title": "Error Title",
"status": 400,
"detail": "Human-readable description."
}